Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventMemberJoinedByInviteLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventMemberJoinedByInviteLink

Enclosing class:
  TdApi

public static final class TdApi.ChatEventMemberJoinedByInviteLink extends TdApi.ChatEventAction
A new member joined the chat via an invite link.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.ChatInviteLink`
`inviteLink`
Invite link used to join the chat.
`boolean`
`viaChatFolderInviteLink`
True, if the user has joined the chat using an invite link for a chat folder.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventMemberJoinedByInviteLink()`
A new member joined the chat via an invite link.
`ChatEventMemberJoinedByInviteLink(TdApi.ChatInviteLink inviteLink, boolean viaChatFolderInviteLink)`
A new member joined the chat via an invite link.
`ChatEventMemberJoinedByInviteLink(DataInput input)`
A new member joined the chat via an invite link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### inviteLink

public TdApi.ChatInviteLink inviteLink
Invite link used to join the chat.

### viaChatFolderInviteLink

public boolean viaChatFolderInviteLink
True, if the user has joined the chat using an invite link for a chat folder.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventMemberJoinedByInviteLink

public ChatEventMemberJoinedByInviteLink()
A new member joined the chat via an invite link.

### ChatEventMemberJoinedByInviteLink

public ChatEventMemberJoinedByInviteLink(TdApi.ChatInviteLink inviteLink, boolean viaChatFolderInviteLink)
A new member joined the chat via an invite link.

Parameters:
  `inviteLink` - Invite link used to join the chat.
  `viaChatFolderInviteLink` - True, if the user has joined the chat using an invite link for a chat folder.

### ChatEventMemberJoinedByInviteLink

public ChatEventMemberJoinedByInviteLink(DataInput input) throws IOException
A new member joined the chat via an invite link.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`